
import time

import rcpy

import rcpy.servo as servo

import rcpy.clock as clock


duty = -1.5
chanel = 3
periodo = 0.02 #f=1/T


servo_mio = servo.Servo(chanel)
servo_mio.set(duty)

rcpy.set_state(rcpy.RUNNING)

clk = clock.Clock(servo_mio, 0.02)
try:
        servo.enable()
        clk.start()
        while rcpy.get_state() != rcpy.EXITING:
                time.sleep(1)
except KeyboardInterrupt:
        pass
finally:
        clk.stop()
        servo.disable()

